curl --request PATCH \
--url https://api.kameleoon.com/feature-flags/{siteCode}/{featureKey}/{environmentKey} \
--header 'Content-Type: application/json' \
--data '
{
"featureKey": "<string>",
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"name": "<string>",
"rolloutRules": [
{
"type": "PROGRESSIVE_DELIVERY",
"exposition": 50,
"id": 123,
"name": "<string>",
"orderIndex": 123,
"reallocation": true,
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"matchValue": 50.00005,
"target": "RULE",
"visitors": 2,
"id": 123,
"recipients": [
"jsmith@example.com"
]
}
],
"segmentId": 123,
"state": "ACTIVE",
"controlVariationKey": "<string>",
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT, MANUAL, MULTI_ARMED_BANDIT",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
]
}
],
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"defaultVariationKey": "<string>",
"description": "<string>",
"featureEnabled": true,
"isArchived": true,
"primaryGoalId": 123
}
'{
"featureKey": "<string>",
"id": 123,
"name": "<string>",
"siteCode": "<string>",
"archived": true,
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"createdById": 123,
"dateContentModified": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"environmentConfigurations": [
{
"dateModified": "2023-11-07T05:31:56Z",
"defaultVariationKey": "<string>",
"environmentKey": "<string>",
"featureEnabled": true,
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"rolloutRules": [
{
"type": "TARGETED_DELIVERY",
"experimentId": 123,
"id": 123,
"name": "<string>",
"release": {
"releaseFrom": "2025-06-01T00:00:00Z",
"releaseTo": "2025-06-01T23:59:00Z",
"timeZone": "Europe/Paris"
},
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"id": 123,
"matchValue": 50,
"recipients": [
"<string>"
],
"target": "RULE",
"visitors": 1000
}
],
"segmentId": 123,
"status": "ACTIVE",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
],
"controlVariationKey": "<string>",
"exposition": 50,
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT"
}
]
}
],
"health": "PERMANENT",
"primaryGoalId": 123,
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"teamId": 123,
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
]
}
]
}Updates the configuration of a feature flag using a JSON Merge Patch for the specified site code, feature key, and environment key. Note: If you need to modify an element within an array, the entire array — including all its fields — must be provided, as partial updates to array elements are not supported.
curl --request PATCH \
--url https://api.kameleoon.com/feature-flags/{siteCode}/{featureKey}/{environmentKey} \
--header 'Content-Type: application/json' \
--data '
{
"featureKey": "<string>",
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"name": "<string>",
"rolloutRules": [
{
"type": "PROGRESSIVE_DELIVERY",
"exposition": 50,
"id": 123,
"name": "<string>",
"orderIndex": 123,
"reallocation": true,
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"matchValue": 50.00005,
"target": "RULE",
"visitors": 2,
"id": 123,
"recipients": [
"jsmith@example.com"
]
}
],
"segmentId": 123,
"state": "ACTIVE",
"controlVariationKey": "<string>",
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT, MANUAL, MULTI_ARMED_BANDIT",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
]
}
],
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"defaultVariationKey": "<string>",
"description": "<string>",
"featureEnabled": true,
"isArchived": true,
"primaryGoalId": 123
}
'{
"featureKey": "<string>",
"id": 123,
"name": "<string>",
"siteCode": "<string>",
"archived": true,
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"createdById": 123,
"dateContentModified": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"environmentConfigurations": [
{
"dateModified": "2023-11-07T05:31:56Z",
"defaultVariationKey": "<string>",
"environmentKey": "<string>",
"featureEnabled": true,
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"rolloutRules": [
{
"type": "TARGETED_DELIVERY",
"experimentId": 123,
"id": 123,
"name": "<string>",
"release": {
"releaseFrom": "2025-06-01T00:00:00Z",
"releaseTo": "2025-06-01T23:59:00Z",
"timeZone": "Europe/Paris"
},
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"id": 123,
"matchValue": 50,
"recipients": [
"<string>"
],
"target": "RULE",
"visitors": 1000
}
],
"segmentId": 123,
"status": "ACTIVE",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
],
"controlVariationKey": "<string>",
"exposition": 50,
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT"
}
]
}
],
"health": "PERMANENT",
"primaryGoalId": 123,
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"teamId": 123,
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
10Represents the input object for patching a feature flag for a specific environment
Key used to identify the feature flag
1 - 255Integrations associated with the feature flag environment
Show child attributes
Name of the feature flag
1 - 100The rollout rules for this environment
Represents an experimentation rule configuration
Show child attributes
Secondary goals associated with the feature flag
List of tags associated with the feature flag
Variables associated with the feature flag
Show child attributes
Variations associated with the feature flag
Show child attributes
Attribution window in milliseconds
Show child attributes
The default variation key to serve in this environment
255Description of the feature flag
5000Indicates if the feature flag is enabled in this environment
Flag indicating if the feature flag is archived
Primary goal associated with the feature flag
OK
Configuration for the feature flag
Key used to identify the feature flag
1 - 255System-generated unique string of integers to identify a feature flag
Name of the feature flag
1 - 100Unique Id for the project in the Kameleoon app. This is an optional field to be included as query parameters
1 - 10Attribution window
Bucketing key used for the feature flag
Show child attributes
Created by id
Date and time when the feature flag configuration content was last modified
Date and time when the feature flag configuration was created
Date and time when the feature flag configuration was last modified
Description of the feature
5000Environment-specific configurations for the feature flag
Show child attributes
Health of the feature flag (for temporary ones)
PERMANENT, HEALTHY, STALE, SMELLY Primary goal of the feature flag
Secondary goals associated with the feature flag
List of tags associated with the feature flag. This is an optional field to be included as query parameters
Team id
Variables associated with the feature flag
Show child attributes
Variations associated with the feature flag
Show child attributes
Was this page helpful?